Bug 1128388 - [abrt] supertux: __memcpy_sse2_unaligned(): supertux2 killed by SIGSEGV
Summary: [abrt] supertux: __memcpy_sse2_unaligned(): supertux2 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: supertux
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d2f302971eeda791375a6531f87...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 23:40 UTC by Jeremy Vessels
Modified: 2015-06-29 21:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:59:49 UTC


Attachments (Terms of Use)
File: backtrace (32.18 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: core_backtrace (6.99 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: dso_list (8.43 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: environ (1.42 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: maps (41.62 KB, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: open_fds (135 bytes, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details
File: var_log_messages (204 bytes, text/plain)
2014-08-09 23:40 UTC, Jeremy Vessels
no flags Details

Description Jeremy Vessels 2014-08-09 23:40:45 UTC
Version-Release number of selected component:
supertux-0.3.3-13.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        supertux2
crash_function: __memcpy_sse2_unaligned
executable:     /usr/bin/supertux2
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memcpy_sse2_unaligned at ../sysdeps/x86_64/multiarch/memcpy-sse2-unaligned.S:40
 #1 copy at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/char_traits.h:271
 #2 _M_copy at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:359
 #3 std::string::_Rep::_M_clone at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:631
 #4 _M_grab at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.h:229
 #5 std::basic_string<char, std::char_traits<char>, std::allocator<char> >::basic_string at /usr/src/debug/gcc-4.8.3-20140624/obj-x86_64-redhat-linux/x86_64-redhat-linux/libstdc++-v3/include/bits/basic_string.tcc:173
 #6 LevelIntro::draw at /usr/src/debug/supertux-0.3.3/src/supertux/levelintro.cpp:90
 #7 ScreenManager::draw at /usr/src/debug/supertux-0.3.3/src/supertux/screen_manager.cpp:145
 #8 ScreenManager::run at /usr/src/debug/supertux-0.3.3/src/supertux/screen_manager.cpp:326
 #9 Main::run at /usr/src/debug/supertux-0.3.3/src/supertux/main.cpp:629

Comment 1 Jeremy Vessels 2014-08-09 23:40:47 UTC
Created attachment 925411 [details]
File: backtrace

Comment 2 Jeremy Vessels 2014-08-09 23:40:48 UTC
Created attachment 925412 [details]
File: cgroup

Comment 3 Jeremy Vessels 2014-08-09 23:40:49 UTC
Created attachment 925413 [details]
File: core_backtrace

Comment 4 Jeremy Vessels 2014-08-09 23:40:50 UTC
Created attachment 925414 [details]
File: dso_list

Comment 5 Jeremy Vessels 2014-08-09 23:40:51 UTC
Created attachment 925415 [details]
File: environ

Comment 6 Jeremy Vessels 2014-08-09 23:40:52 UTC
Created attachment 925416 [details]
File: limits

Comment 7 Jeremy Vessels 2014-08-09 23:40:53 UTC
Created attachment 925417 [details]
File: maps

Comment 8 Jeremy Vessels 2014-08-09 23:40:53 UTC
Created attachment 925418 [details]
File: open_fds

Comment 9 Jeremy Vessels 2014-08-09 23:40:54 UTC
Created attachment 925419 [details]
File: proc_pid_status

Comment 10 Jeremy Vessels 2014-08-09 23:40:55 UTC
Created attachment 925420 [details]
File: var_log_messages

Comment 11 Fedora Admin XMLRPC Client 2014-11-10 15:32:44 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Fedora Admin XMLRPC Client 2014-11-11 08:31:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 13 Fedora End Of Life 2015-05-29 12:35:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:59:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.